import * as React from 'react';

var _path, _defs;

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

const SvgKotlinLogoSmall = props => /*#__PURE__*/React.createElement("svg", _extends({
  width: 20,
  height: 20,
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, props), _path || (_path = /*#__PURE__*/React.createElement("path", {
  d: "M20 20H0V0h20L9.793 9.855 20 20Z",
  fill: "url(#kotlin-logo-small_svg__a)"
})), _defs || (_defs = /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("radialGradient", {
  id: "kotlin-logo-small_svg__a",
  cx: 0,
  cy: 0,
  r: 1,
  gradientUnits: "userSpaceOnUse",
  gradientTransform: "translate(19.335 .822) scale(22.9097)"
}, /*#__PURE__*/React.createElement("stop", {
  offset: 0.003,
  stopColor: "#EF4857"
}), /*#__PURE__*/React.createElement("stop", {
  offset: 0.469,
  stopColor: "#D211EC"
}), /*#__PURE__*/React.createElement("stop", {
  offset: 1,
  stopColor: "#7F52FF"
})))));

export { SvgKotlinLogoSmall as default };
